[Alsaplayer-devel] Re: [Alsaplayer-commits] SF.net SVN: alsaplayer: [1271] trunk/midi/COPYING

Hubert Chan hubert at uhoreg.ca
Tue Jul 10 20:01:26 BST 2007


On 2007-07-09 16:56:59 -0400 dominique_libre at users.sourceforge.net 
wrote:

[...]
>   This software can be installed on SGI system. The GPL forbid to 
> distribute
> binaries linked on a SGI system. In consequence, you are granted the 
> permission
> -to distribute this software for SGI systems as long that you agree 
> with the
> -other conditions of the GNU General Public License version 3 or 
> later and 
> that
> -you respect them.
> +to distribute the MIDI input plugin for AlsaPlayer for SGI systems 
> as long
> +that you agree with the other conditions of the GNU General Public 
> License
> +version 3 or later and that you respect them.

Does the Midi (and fftscope) plugins contain any SGI-specific code?  
If not, there shouldn't be any problems distributing these on SGI 
systems.  The GPL allows you to do this, as long as it only uses 
generic routines (things that can be done on other systems).  I think 
the only problem with SGI is the output plugin, since it needs to link 
against an SGI-only library.

Hubert



More information about the alsaplayer-devel mailing list